> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow agent file signed URL

> Returns a short-lived signed URL for downloading the file directly from storage.



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml get /agents/{agentId}/workflows/{workflowId}/agent-files/{fileId}/signed-url
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
  - name: Admin Customer Activity
paths:
  /agents/{agentId}/workflows/{workflowId}/agent-files/{fileId}/signed-url:
    get:
      tags:
        - Files
      summary: Get workflow agent file signed URL
      description: >-
        Returns a short-lived signed URL for downloading the file directly from
        storage.
      operationId: WorkflowAgentFileSignedUrlGet
      parameters:
        - in: path
          name: agentId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - in: path
          name: workflowId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - in: path
          name: fileId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agents.Files.SignedUrlResponse'
          description: The request has succeeded.
        '404':
          content:
            text/plain:
              schema:
                enum:
                  - File not found.
                type: string
          description: The server cannot find the requested resource.
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
    Agents.Files.SignedUrlResponse:
      description: >-
        Response containing a short-lived signed URL for direct file download
        from storage
      properties:
        url:
          format: uri
          type: string
      required:
        - url
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````